package cic.wsd.windowing;

import java.util.ArrayList;

import cic.wsd.semcor.AmbiguousWord;
/**
 * This will generate a window without duplicates.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class NoDuplicates extends Condition {

	public NoDuplicates(String parameter) throws Exception {
		super(parameter,"NoDuplicates");
	}

	@Override
	public boolean satisfiesCondition(AmbiguousWord target,
			AmbiguousWord possibleWord, ArrayList<AmbiguousWord> window) {
		for(AmbiguousWord word:window)
			if(word.getLemma().equals(target.getLemma()))
				return false;
		return true;
	}

}
