package cic.wsd.windowing;

import java.util.ArrayList;

import cic.wsd.semcor.AmbiguousWord;
/**
 * This will generate a window without the target word in it.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class NoTarget extends Condition {
	
	public NoTarget(String parameter) throws Exception {
		super(parameter,"NoTarget");
	}

	@Override
	public boolean satisfiesCondition(AmbiguousWord target,
			AmbiguousWord possibleWord, ArrayList<AmbiguousWord> window) {
		return !target.getLemma().equals(possibleWord.getLemma());
	}


}
